Skip to content

Results are limited to the current section : Cloud Services

Get Credit Pools

GET
/api/v1/contracts/{project_id}/credit-pools
project_id
required
Project Id
string format: uuid
backend_type
required

Filter results by backend type

string
Allowed values: QPU EMU

Filter results by backend type

limit
Limit
integer
default: 100 > 0 < 101
offset
Offset
integer
0
order_by
Order By
string
default: created_at
order_by_direction
string
Allowed values: ASC DESC

Successful Response

HeaderPaginatedResponse[ProducedCreditPoolDetailResponse]

A list of responses with pagination information.

For backwards compatibility, this also exposes pagination using the following header format:

Access-Control-Expose-Headers: Content-Range
Content-Range: $FIRST_ITEM_IN_BATCH-$LAST_ITEM_IN_BACH/$TOTAL_ITEMS_AVAILABLE
object
status
string
Allowed values: success fail error
message
Message
string
default: OK.
code
Code
string
default: 200
data
required
Data
Array<object>
ProducedCreditPoolDetailResponse
object
id
required
Id
string format: uuid
remaining_credits
required
Remaining Credits
number
allocated_credits
required
Allocated Credits
number
consumed_credits
required
Consumed Credits
number
expires_at
Expires At
string format: date-time
created_at
required
Created At
string format: date-time
updated_at
required
Updated At
string format: date-time
pagination
required
JSendPagination

Pagination information

object
total
required
Total
integer
start
required
Start
integer
end
required
End
integer

Validation Error

HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string